System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.SecurityTokenParameters

This class is a collection of token properties and methods, and is used in creating security binding elements and tokens.

Represents the parameters for an SSL security token that is obtained when doing the SOAP-level SSL protocol with the server.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to false.

  is set to .

  Initializes a new instance of the class.

  true to require client certificate; otherwise, false.
- Constructor
  4.0.0.0
  To be added.

  The new instance property values are set to the corresponding values in .

  Initializes a new instance of the class from another instance.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to .

  is set to .

  Initializes a new instance of the class.

  true to require client certificate; otherwise, false.
  true to require cancellation; otherwise, false.
- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern. overrides .

  The method calls the constructor.

  Clones another instance of this instance of the class.

  A instance that represents the copy.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` ``

  This method creates a key identifier clause using the method, with as a generic parameter.

  Creates a key identifier clause for a token.

  The key identifier clause for a token.

  The token. The reference style of the security token.
- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns false.

  Asymmetric keys are used in public-key cryptography, which uses two keys, a public key and a private key, which are related mathematically. The public key is distributed widely, but the private key is kept secret. In public-key cryptography, there is no need to exchange a common key.

  Gets a value that indicates whether the token has an asymmetric key.

- Method
  4.0.0.0
  System.Void ``

  The following properties of the are initialized:

  If is true, = ; otherwise, it is set to .

  = true.

  The SupportSecurityContextCancellation property in is set to .

  The IssuedSecurityTokenParameters property in is set to a clone of the current instance.

  = .

  Initializes a security token requirement.

  The requirement of the security token.
- Property
  4.0.0.0
  System.Boolean To be added.

  If cancellation is required, then the security context token issued at the end of the SSL protocol is session based; otherwise, it is cookie based.

  Gets or sets a value that indicates whether cancellation is required.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether a client certificate is required.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When implemented, gets a value that indicates whether the token supports client authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When implemented, gets a value that indicates whether the token supports a Windows identity for authentication.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns false.

  When implemented, gets a value that indicates whether the token supports server authentication.

- Method
  4.0.0.0
  System.String

  The method displays the name of this class, , and .

  Displays a text representation of this instance of the class.

  A text representation of this instance of the class.